## tkrzw 1.0.23

=== example/Makefile ===
# Makefile for sample programs of Tkrzw

#================================================================
# Setting Variables
#================================================================

# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = helloworld accesscounter transfer ulogrestore \
  hashdbm_ex1 hashdbm_ex2 hashdbm_ex3 \
  treedbm_ex1 treedbm_ex2 treedbm_ex3 \
  skipdbm_ex1 skipdbm_ex2 skipdbm_ex3 \
  tinydbm_ex1 tinydbm_ex2 \
  babydbm_ex1 babydbm_ex2 \
  cachedbm_ex1 \
  stdtreedbm_ex1 stdtreedbm_ex2 \
  polydbm_ex1 sharddbm_ex1 asyncdbm_ex1 \
  fileindex_ex1 stdindex_ex1 \
  invindex_ex1 \
  langc_ex1 langc_ex2

# Building binaries
CC = gcc
CXX = g++
CPPFLAGS = -I. -I.. -I/usr/local/include -D_GNU_SOURCE=1
CFLAGS = -std=c11 -Wall -pedantic -fsigned-char -O2
CXXFLAGS = -std=c++17 -Wall -fsigned-char -O2
LDFLAGS =
LIBS = -L. -L.. -L/usr/local/lib -ltkrzw -lstdc++ -lpthread
LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..
RUNENV = LD_LIBRARY_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..

#================================================================
# Suffix rules
#================================================================

.SUFFIXES :
.SUFFIXES : .c .cc .o

.c.o :
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

.cc.o :
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $<

#================================================================
# Actions
#================================================================

all : $(MYBINS)

clean :
	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *.tkh *.tkt *.tks *~

static :
	make LDFLAGS="$(LDFLAGS) -static"

single :
	g++ -std=c++17 -I/usr/local/include -Wall -fsigned-char -O2 \
	  -o helloworld helloworld.cc -L/usr/local/lib -ltkrzw -lstdc++ -lpthread

.PHONY : all clean static single

#================================================================
# Building binaries
#================================================================

helloworld : helloworld.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

accesscounter : accesscounter.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

transfer : transfer.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

ulogrestore : ulogrestore.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

hashdbm_ex1 : hashdbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

hashdbm_ex2 : hashdbm_ex2.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

hashdbm_ex3 : hashdbm_ex3.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

treedbm_ex1 : treedbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

treedbm_ex2 : treedbm_ex2.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

treedbm_ex3 : treedbm_ex3.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

skipdbm_ex1 : skipdbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

skipdbm_ex2 : skipdbm_ex2.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

skipdbm_ex3 : skipdbm_ex3.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

tinydbm_ex1 : tinydbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

tinydbm_ex2 : tinydbm_ex2.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

babydbm_ex1 : babydbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

babydbm_ex2 : babydbm_ex2.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

cachedbm_ex1 : cachedbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

stdtreedbm_ex1 : stdtreedbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

stdtreedbm_ex2 : stdtreedbm_ex2.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

polydbm_ex1 : polydbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

sharddbm_ex1 : sharddbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

asyncdbm_ex1 : asyncdbm_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

fileindex_ex1 : fileindex_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

stdindex_ex1 : stdindex_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

invindex_ex1 : invindex_ex1.o
	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

langc_ex1 : langc_ex1.o
	$(LDENV) $(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

langc_ex2 : langc_ex2.o
	$(LDENV) $(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

# END OF FILE

## tkrzw 1.0.0+dfsg1

=== debian/changelog ===
tkrzw (1.0.0+dfsg1-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 10:24:05 -0400

=== debian/control ===
Source: tkrzw
Section: utils
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 doxygen <!nodoc>,
 googletest <!nocheck>,
 liblz4-dev,
 libzstd-dev,
 liblzma-dev,
 zlib1g-dev,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
Vcs-Browser: https://salsa.debian.org/debian/tkrzw
Homepage: https://dbmx.net/tkrzw/
Rules-Requires-Root: no

Package: libtkrzw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtkrzw1 (= ${binary:Version}),
 ${misc:Depends},
Description: set of implementations of DBM - development headers
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains the development headers.

Package: libtkrzw1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: set of implementations of DBM - shared library
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains the shared library.

Package: tkrzw-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: set of implementations of DBM - utilities
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains miscellaneous utilities.

Package: tkrzw-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: set of implementation of DBM - docs
 Tkrzw is a C++ library implementing DBM (Database Manager) with
 various algorithms. It features high degrees of performance,
 concurrency, scalability and durability.
 .
 This package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

override_dh_auto_configure:
	dh_auto_configure -- \
	        --enable-zlib \
	        --enable-zstd \
	        --enable-lz4 \
	        --enable-lzma

# Enabling googletest requires more work
override_dh_auto_test:

%:
	dh $@

## tkrzw 1.0.20+dfsg1

=== debian/changelog ===
tkrzw (1.0.20+dfsg1-2) unstable; urgency=high

  * debian/rules: Add -latomic to LDFLAGS on some architectures
    to circumvent FTBFS.
  * debian/control: Only build package on linux (linux-any).
    Upstream does not support kFreeBSD and Hurd for now.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 15:01:51 -0400

tkrzw (1.0.20+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.0.20.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 09:44:01 -0400

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND =
+# Circumvent FTBFS: undefined reference to `__atomic_xxx_8'
+ifneq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel sparc powerpc powerpcspe sh4 m68k ))
+  export DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## tkrzw 1.0.22

=== debian/changelog ===
tkrzw (1.0.22-1) unstable; urgency=medium

  * New upstream release 1.0.22

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 15:54:41 -0500

tkrzw (1.0.21-1) unstable; urgency=medium

  * New upstream release 1.0.21.
  * debian/rules: Drop workaround for -latomic, fixed upstream.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Nov 2021 22:14:24 -0500

## tkrzw 1.0.23

=== debian/changelog ===
tkrzw (1.0.23-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Feb 2022 12:34:48 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libzstd-dev,
  liblzma-dev,
  zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
 Vcs-Browser: https://salsa.debian.org/debian/tkrzw
 Homepage: https://dbmx.net/tkrzw/
@@ -18,7 +18,7 @@
 
 Package: libtkrzw-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends:
  libtkrzw1 (= ${binary:Version}),
@@ -32,7 +32,7 @@
 
 Package: libtkrzw1
 Section: libs
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -47,7 +47,7 @@
  This package contains the shared library.
 
 Package: tkrzw-utils
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## tkrzw 1.0.24

=== debian/changelog ===
tkrzw (1.0.24-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Apr 2022 02:45:54 -0400

tkrzw (1.0.24-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Mar 2022 11:55:06 -0400

## tkrzw 1.0.25

=== example/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
   cachedbm_ex1 \
   stdtreedbm_ex1 stdtreedbm_ex2 \
   polydbm_ex1 sharddbm_ex1 asyncdbm_ex1 \
-  fileindex_ex1 stdindex_ex1 \
+  fileindex_ex1 memindex_ex1 stdindex_ex1 \
   invindex_ex1 \
   langc_ex1 langc_ex2
 
@@ -139,6 +139,9 @@
 fileindex_ex1 : fileindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+memindex_ex1 : memindex_ex1.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 stdindex_ex1 : stdindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

=== debian/changelog ===
tkrzw (1.0.25-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Mar 2023 14:07:18 -0500

tkrzw (1.0.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/source/lintian-overrides: Update properly.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Feb 2023 19:17:45 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libzstd-dev,
  liblzma-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
 Vcs-Browser: https://salsa.debian.org/debian/tkrzw
 Homepage: https://dbmx.net/tkrzw/

## tkrzw 1.0.27

=== debian/changelog ===
tkrzw (1.0.27-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:06:06 +1100

tkrzw (1.0.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062986

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:21:16 +0000

tkrzw (1.0.27-1) unstable; urgency=medium

  * Upload to untable.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:26:56 -0400

tkrzw (1.0.27-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Mar 2023 13:48:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: tkrzw
 Section: utils
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  doxygen <!nodoc>,
  googletest <!nocheck>,
@@ -21,7 +22,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends:
- libtkrzw1 (= ${binary:Version}),
+ libtkrzw1t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: set of implementations of DBM - development headers
  Tkrzw is a C++ library implementing DBM (Database Manager) with
@@ -30,7 +31,10 @@
  .
  This package contains the development headers.
 
-Package: libtkrzw1
+Package: libtkrzw1t64
+Provides: ${t64:Provides}
+Replaces: libtkrzw1
+Breaks: libtkrzw1 (<< ${source:Version})
 Section: libs
 Architecture: linux-any
 Depends:

## tkrzw 1.0.29

=== debian/changelog ===
tkrzw (1.0.29-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Apr 2024 10:25:21 -0400

tkrzw (1.0.27-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1067518)

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 16:58:40 -0400

## tkrzw 1.0.31

=== debian/changelog ===
tkrzw (1.0.31-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 09:31:38 -0400

## tkrzw 1.0.32

=== example/Makefile ===
--- 
+++ 
@@ -10,16 +10,17 @@
 # Targets
 MYBINS = helloworld accesscounter transfer ulogrestore \
   hashdbm_ex1 hashdbm_ex2 hashdbm_ex3 \
-  treedbm_ex1 treedbm_ex2 treedbm_ex3 \
+  treedbm_ex1 treedbm_ex2 treedbm_ex3 treedbm_ex4 \
   skipdbm_ex1 skipdbm_ex2 skipdbm_ex3 \
   tinydbm_ex1 tinydbm_ex2 \
   babydbm_ex1 babydbm_ex2 \
   cachedbm_ex1 \
   stdtreedbm_ex1 stdtreedbm_ex2 \
   polydbm_ex1 sharddbm_ex1 asyncdbm_ex1 \
-  fileindex_ex1 memindex_ex1 stdindex_ex1 \
+  struct_ex1 \
+  fileindex_ex1 memindex_ex1 stdindex_ex1 polyindex_ex1 \
   invindex_ex1 \
-  langc_ex1 langc_ex2
+  langc_ex1 langc_ex2 langc_ex3
 
 # Building binaries
 CC = gcc
@@ -97,6 +98,9 @@
 treedbm_ex3 : treedbm_ex3.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+treedbm_ex4 : treedbm_ex4.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 skipdbm_ex1 : skipdbm_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
@@ -136,6 +140,9 @@
 asyncdbm_ex1 : asyncdbm_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+struct_ex1 : struct_ex1.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 fileindex_ex1 : fileindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
@@ -143,6 +150,9 @@
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 stdindex_ex1 : stdindex_ex1.o
+	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+polyindex_ex1 : polyindex_ex1.o
 	$(LDENV) $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 invindex_ex1 : invindex_ex1.o
@@ -154,4 +164,7 @@
 langc_ex2 : langc_ex2.o
 	$(LDENV) $(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
+langc_ex3 : langc_ex3.o
+	$(LDENV) $(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
 # END OF FILE

=== debian/changelog ===
tkrzw (1.0.32-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Oct 2024 17:57:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tkrzw
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  doxygen <!nodoc>,
@@ -11,7 +10,7 @@
  libzstd-dev,
  liblzma-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/tkrzw.git
 Vcs-Browser: https://salsa.debian.org/debian/tkrzw
 Homepage: https://dbmx.net/tkrzw/

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
 https://dbmx.net/tkrzw/pkg/tkrzw-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|lzma))) debian uupdate
